For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGets multiple product variants
      • POSTAdds new product variants to a product
      • PATCHUpdates multiple product variants
      • POSTCreate a new Channel Metadata Entry for a given Variant
      • GET Gets Product by Id
      • DELDeletes Bundle and removes associations to related products
      • PATCHUpdate a single product with Json Merge Patch functionality
      • GET Gets Taxonomy by Id
      • GETRetrieves List of Products based on filters provided
      • POSTCreate single product to the store
      • GET Gets Taxonomy
      • POSTUsed to merge two or more variants together
      • PUTUpdate specific channel metadata record from a variant by channel metadata ID
      • DELUsed to delete a specific channel metadata record from a variant by channel metadata ID
      • POSTMigrates variants to existing product
      • GET Gets Taxonomy Parent
      • POSTMigrates existing variants to a new product
      • GETGets Packaging Requirement
      • POSTAdd new product variants to a product
LogoLogo
API ReferenceProducts

Used to delete a specific channel metadata record from a variant by channel metadata ID

||View as Markdown|
DELETE
https://sandbox-api.shipbob.com/Experimental/variant/:variantId/channel-metadata/:channelMetadataId
DELETE
/Experimental/variant/:variantId/channel-metadata/:channelMetadataId
$curl -X DELETE https://sandbox-api.shipbob.com/Experimental/variant/1/channel-metadata/1 \
> -H "Authorization: Bearer <token>"
1{
2 "additional_hazmat_attributes": {
3 "charge_state_percentage": 0.1,
4 "container_metal": true,
5 "lithium_battery_packaging": "string",
6 "lithium_battery_type": "string",
7 "magnet": true,
8 "net_volume": 0.1,
9 "net_weight": 0.1
10 },
11 "associated_bundles": [
12 {
13 "product_id": 0,
14 "product_name": "string",
15 "quantity": 0,
16 "variant_id": 0,
17 "variant_sku": "string"
18 }
19 ],
20 "barcodes": [
21 {
22 "sticker_url": "string",
23 "value": "string"
24 }
25 ],
26 "bundle_definition": [
27 {
28 "product_id": 0,
29 "quantity": 0,
30 "variant_id": 0,
31 "variant_name": "string",
32 "variant_sku": "string"
33 }
34 ],
35 "channel_metadata": [
36 {
37 "channel_id": 0,
38 "channel_name": "string",
39 "currency": "string",
40 "id": 0,
41 "is_inventory_sync_enabled": true,
42 "legacy_product_id": 0,
43 "platform": "string",
44 "platform_identifier": "string",
45 "platform_inventory_item_id": "string",
46 "price": 0.1,
47 "seller_sku": "string"
48 }
49 ],
50 "created_on": "2019-08-24T14:15:22+00:00",
51 "customs": {
52 "country_code_of_origin": "string",
53 "currency": "string",
54 "description": "string",
55 "hs_tariff_code": "string",
56 "is321_eligible": true,
57 "value": 0
58 },
59 "dimension": {
60 "height": 0.1,
61 "is_locked": true,
62 "length": 0.1,
63 "source": "string",
64 "unit": "string",
65 "width": 0.1
66 },
67 "fulfillment_settings": {
68 "dangerous_goods": true,
69 "is_bpm_parcel": true,
70 "is_case_pick": true,
71 "msds_url": "string",
72 "requires_prop65": true,
73 "serial_scan": {
74 "exact_character_length": 0,
75 "is_enabled": true,
76 "prefix": "string",
77 "suffix": "string"
78 }
79 },
80 "gtin": "string",
81 "id": 0,
82 "inventory": {
83 "inventory_id": 0,
84 "on_hand_qty": 0
85 },
86 "is_digital": true,
87 "is_image_uploaded": true,
88 "lot_information": {
89 "is_lot": true,
90 "minimum_shelf_life_days": 0
91 },
92 "merge_children": [
93 {
94 "channel_ids": [
95 0
96 ],
97 "completed_at": "2019-08-24T14:15:22+00:00",
98 "inventory_id": 0,
99 "variant_id": 0,
100 "variant_name": "string"
101 }
102 ],
103 "name": "string",
104 "packaging_material_type": {
105 "id": 0,
106 "name": "string"
107 },
108 "packaging_requirement": {
109 "id": 0,
110 "name": "string"
111 },
112 "return_preferences": {
113 "backup_action": {
114 "id": 0,
115 "name": "string"
116 },
117 "instructions": "string",
118 "primary_action": {
119 "id": 0,
120 "name": "string"
121 },
122 "return_to_sender_backup_action": {
123 "id": 0,
124 "name": "string"
125 },
126 "return_to_sender_primary_action": {
127 "id": 0,
128 "name": "string"
129 }
130 },
131 "reviews_pending": [
132 "string"
133 ],
134 "sku": "string",
135 "status": "string",
136 "upc": "string",
137 "updated_on": "2019-08-24T14:15:22+00:00",
138 "weight": {
139 "unit": "string",
140 "weight": 0.1
141 }
142}
Was this page helpful?
Previous

Update specific channel metadata record from a variant by channel metadata ID

Next

Migrates variants to existing product

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

variantIdlongRequired
The ID of the variant to remove the metadata from
channelMetadataIdlongRequired
The ID of the channel metadata record to delete

Response

Success
additional_hazmat_attributesobject
associated_bundleslist of objects
barcodeslist of objects
bundle_definitionlist of objects
channel_metadatalist of objects
created_ondatetime
customsobject
dimensionobject
fulfillment_settingsobject
gtinstring
idlong
inventoryobject
is_digitalboolean
is_image_uploadedboolean
lot_informationobject
merge_childrenlist of objects
namestring
packaging_material_typeobject
packaging_requirementobject
return_preferencesobject
reviews_pendinglist of strings
skustring
statusstring
upcstring
updated_ondatetime
weightobject

Errors

400
Bad Request Error
404
Not Found Error